Attribute VB_Name = "Modul6"

Option Explicit
Public Enum SORT_BY
    Sort_by_None
    Sort_by_Name
    Sort_by_Path
    Sort_by_Size
    Sort_by_Last_Access
    Sort_by_Last_Modyfy
    Sort_by_Date_Create
End Enum

Public Enum SORT_ORDER
    Sort_Order_Ascending
    Sort_Order_Descending
End Enum

Public Type FILEINFO
    strFilename As String
    strPath As String
    lngSize As Long
    dmtLastAccess As Date
    dmtLastModify As Date
    dmtDateCreate As Date
End Type

Public Sub Wortsuche()
    
    Dim objFileSearch As clsFileSearch
    Dim lngIndex As Long
    Dim strSuwort As String
    Dim i As Integer
    Dim bolErg As Boolean
    
    Set objFileSearch = New clsFileSearch
    
    strSuwort = InputBox("Suchwort eingeben")
    With objFileSearch
        .CaseSenstiv = False
        .Extension = "*.xls"
        .FolderPath = "D:\Speicher\"
        .SearchLike = "*"
        .SubFolders = False
        If .Execute(Sort_by_Size, Sort_Order_Descending) > 0 Then
        Application.ScreenUpdating = False
            For lngIndex = 1 To .FileCount
                With .Files(lngIndex)
                    Workbooks.Open (.strPath)                         'Workbook ffnen
                    On Error Resume Next
                    For i = 1 To Workbooks(.strFilename).Worksheets.Count
                        With Workbooks(.strFilename).Worksheets(i)
                            .Activate
                            bolErg = .Cells.Find(What:=strSuwort, LookIn:=xlValues, LookAt:= _
                                xlPart, SearchOrder:=xlByRows, SearchDirection:=xlNext, MatchCase:=False).Activate
                            If bolErg Then
                                MsgBox strSuwort & " gefunden in " & ActiveWorkbook.Name & Chr(10) & _
                                    "Tabelle = " & ActiveWorkbook.Worksheets(i).Name
                                bolErg = False
                            End If
                        End With
                    Next i
                    Workbooks(.strFilename).Close savechanges:=False   'Workbook schlieen
                End With
            Next
        Else
            MsgBox "Nix gefunden"
        End If
        Application.ScreenUpdating = True
    End With
    
    Set objFileSearch = Nothing
    
End Sub

